// Blue Moon Linux
// Creator: Antonius32
// Version 2.0

/**
 * The MIT License.
 * Copyright (c) 2011 wantora
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

var config = require("lib/config");
var bundle = require("lib/locale").get(resolve("locale/config.properties"));

const PREFROOT = "extensions.bluemoonlinux";

config.setDefault(PREFROOT + ".appmenuButton.enable", true);
config.setDefault(PREFROOT + ".searchButton.enable", true);
config.setDefault(PREFROOT + ".searchClearButton.enable", true);
config.setDefault(PREFROOT + ".newTabButton.enable", true);
config.setDefault(PREFROOT + ".tabCloseButton.enable", true);
config.setDefault(PREFROOT + ".variousCloseButtons.enable", true);

config.register("about:blank?bluemoonlinux-config", '\
<prefwindow id="bluemoonlinux-config"\
	xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"\
	minwidth="400"\
	title="' + bundle.getString("title") + '">\
\
	<prefpane id="prefpane-general" label="' + "General" + '">\
		<preferences>\
			<preference id="appmenuButton-enable"\
				name="' + PREFROOT + ".appmenuButton.enable" + '"\
				type="bool" />\
			<preference id="searchButton-enable"\
				name="' + PREFROOT + ".searchButton.enable" + '"\
				type="bool" />\
			<preference id="searchClearButton-enable"\
				name="' + PREFROOT + ".searchClearButton.enable" + '"\
				type="bool" />\
			<preference id="newTabButton-enable"\
				name="' + PREFROOT + ".newTabButton.enable" + '"\
				type="bool" />\
			<preference id="tabCloseButton-enable"\
				name="' + PREFROOT + ".tabCloseButton.enable" + '"\
				type="bool" />\
			<preference id="variousCloseButtons-enable"\
				name="' + PREFROOT + ".variousCloseButtons.enable" + '"\
				type="bool" />\
		</preferences>\
\
		<groupbox>\
			<caption label="' + bundle.getString("applyStyleTo") + '"/>\
			<checkbox id="appmenuButton-enable-checkbox"\
				label="' + bundle.getString("appmenuButton") + '"\
				preference="appmenuButton-enable" />\
			<checkbox id="searchButton-enable-checkbox"\
				label="' + bundle.getString("searchButton") + '"\
				preference="searchButton-enable" />\
			<checkbox id="searchClearButton-enable-checkbox"\
				label="' + bundle.getString("searchClearButton") + '"\
				preference="searchClearButton-enable" />\
			<checkbox id="newTabButton-enable-checkbox"\
				label="' + bundle.getString("newTabButton") + '"\
				preference="newTabButton-enable" />\
			<checkbox id="tabCloseButton-enable-checkbox"\
				label="' + bundle.getString("tabCloseButton") + '"\
				preference="tabCloseButton-enable" />\
			<checkbox id="variousCloseButtons-enable-checkbox"\
				label="' + bundle.getString("variousCloseButtons") + '"\
				preference="variousCloseButtons-enable" />\
		</groupbox>\
	</prefpane>\
\
</prefwindow>\
');

function shutdown() {
	config = null;
	bundle = null;
}
