// Blue Moon Linux
// Creator: Antonius32
// Version 2.0

/**
 * The MIT License.
 * Copyright (c) 2011 wantora
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */

var { UserStylesheet } = require("lib/UserStylesheet");
var { prefs } = require("lib/prefs");
require("config");

var usss = {
	"extensions.bluemoonlinux.appmenuButton.enable":
		new UserStylesheet(resolve("appmenuButton.css")),
	"extensions.bluemoonlinux.searchButton.enable":
		new UserStylesheet(resolve("searchButton.css")),
	"extensions.bluemoonlinux.searchClearButton.enable":
		new UserStylesheet(resolve("searchClearButton.css")),
	"extensions.bluemoonlinux.newTabButton.enable":
		new UserStylesheet(resolve("newTabButton.css")),
	"extensions.bluemoonlinux.tabCloseButton.enable":
		new UserStylesheet(resolve("tabCloseButton.css")),
	"extensions.bluemoonlinux.variousCloseButtons.enable":
		new UserStylesheet(resolve("variousCloseButtons.css")),
};

var listener = {
	domains: "extensions.bluemoonlinux",
	observe: function(subject, topic, data) {
		if (topic != 'nsPref:changed') return;
		
		if (usss[data]) {
			if (prefs.getPref(data)) {
				usss[data].register();
			} else {
				usss[data].unregister();
			}
		}
	}
};

for (var name in usss) {
	if (prefs.getPref(name)) {
		usss[name].register();
	} else {
		usss[name].unregister();
	}
}

prefs.addPrefListener(listener);

function shutdown() {
	prefs.removePrefListener(listener);
	
	usss = null;
	listener = null;
	
	UserStylesheet = null;
	prefs = null;
	PREFROOT = null;
}
